<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::bridge Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1bridge.html">bridge</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1bridge-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::bridge Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::bridge:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1bridge.png" usemap="#dlib::bridge_map" alt=""/>
  <map id="dlib::bridge_map" name="dlib::bridge_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,111,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afd949b3669108c7e6cdc0884d51212f7"><td class="memTemplParams" colspan="2"><a id="afd949b3669108c7e6cdc0884d51212f7"></a>
template&lt;typename T , typename U , typename V &gt; </td></tr>
<tr class="memitem:afd949b3669108c7e6cdc0884d51212f7"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>bridge</b> (T network_parameters, U pipe1, V pipe2)</td></tr>
<tr class="separator:afd949b3669108c7e6cdc0884d51212f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38b29f4d5140795c5107b10e9c7fba9a"><td class="memTemplParams" colspan="2"><a id="a38b29f4d5140795c5107b10e9c7fba9a"></a>
template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a38b29f4d5140795c5107b10e9c7fba9a"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>bridge</b> (T network_parameters, U <a class="el" href="classdlib_1_1pipe.html">pipe</a>)</td></tr>
<tr class="separator:a38b29f4d5140795c5107b10e9c7fba9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95add44dfa0035f12b3b29b65f0d043e"><td class="memItemLeft" align="right" valign="top"><a id="a95add44dfa0035f12b3b29b65f0d043e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a95add44dfa0035f12b3b29b65f0d043e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044dd461090dcb708a0c3dc4bd93d918"><td class="memTemplParams" colspan="2"><a id="a044dd461090dcb708a0c3dc4bd93d918"></a>
template&lt;typename T , typename R &gt; </td></tr>
<tr class="memitem:a044dd461090dcb708a0c3dc4bd93d918"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1listen__on__port.html">listen_on_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe)</td></tr>
<tr class="separator:a044dd461090dcb708a0c3dc4bd93d918"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f367f081e966a4649872051d951487"><td class="memTemplParams" colspan="2"><a id="ab9f367f081e966a4649872051d951487"></a>
template&lt;typename T , typename R &gt; </td></tr>
<tr class="memitem:ab9f367f081e966a4649872051d951487"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1listen__on__port.html">listen_on_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe)</td></tr>
<tr class="separator:ab9f367f081e966a4649872051d951487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c5a184ff70690e70f240612d0ab6ff"><td class="memTemplParams" colspan="2"><a id="aa1c5a184ff70690e70f240612d0ab6ff"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:aa1c5a184ff70690e70f240612d0ab6ff"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1listen__on__port.html">listen_on_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe)</td></tr>
<tr class="separator:aa1c5a184ff70690e70f240612d0ab6ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e9dc51d66b83c9ba5c5b673892d198"><td class="memTemplParams" colspan="2"><a id="a06e9dc51d66b83c9ba5c5b673892d198"></a>
template&lt;typename R &gt; </td></tr>
<tr class="memitem:a06e9dc51d66b83c9ba5c5b673892d198"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1listen__on__port.html">listen_on_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe)</td></tr>
<tr class="separator:a06e9dc51d66b83c9ba5c5b673892d198"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adddd26b6653c964f3165a7d2f86c8cdd"><td class="memTemplParams" colspan="2"><a id="adddd26b6653c964f3165a7d2f86c8cdd"></a>
template&lt;typename T , typename R &gt; </td></tr>
<tr class="memitem:adddd26b6653c964f3165a7d2f86c8cdd"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1connect__to__ip__and__port.html">connect_to_ip_and_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe)</td></tr>
<tr class="separator:adddd26b6653c964f3165a7d2f86c8cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37e393d92bb4d50389c10cff8e239271"><td class="memTemplParams" colspan="2"><a id="a37e393d92bb4d50389c10cff8e239271"></a>
template&lt;typename T , typename R &gt; </td></tr>
<tr class="memitem:a37e393d92bb4d50389c10cff8e239271"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1connect__to__ip__and__port.html">connect_to_ip_and_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe)</td></tr>
<tr class="separator:a37e393d92bb4d50389c10cff8e239271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70400fdb485246b62bcd053088e51af8"><td class="memTemplParams" colspan="2"><a id="a70400fdb485246b62bcd053088e51af8"></a>
template&lt;typename R &gt; </td></tr>
<tr class="memitem:a70400fdb485246b62bcd053088e51af8"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1connect__to__ip__and__port.html">connect_to_ip_and_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__receive__decoration.html">bridge_receive_decoration</a>&lt; R &gt; receive_pipe)</td></tr>
<tr class="separator:a70400fdb485246b62bcd053088e51af8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5baa3cdbe74c3c746e632afdcd26c059"><td class="memTemplParams" colspan="2"><a id="a5baa3cdbe74c3c746e632afdcd26c059"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a5baa3cdbe74c3c746e632afdcd26c059"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>reconfigure</b> (<a class="el" href="structdlib_1_1connect__to__ip__and__port.html">connect_to_ip_and_port</a> network_parameters, <a class="el" href="structdlib_1_1bridge__transmit__decoration.html">bridge_transmit_decoration</a>&lt; T &gt; transmit_pipe)</td></tr>
<tr class="separator:a5baa3cdbe74c3c746e632afdcd26c059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4184cae615cfdc1fdebfce86bffd5694"><td class="memItemLeft" align="right" valign="top"><a id="a4184cae615cfdc1fdebfce86bffd5694"></a>
<a class="el" href="structdlib_1_1bridge__status.html">bridge_status</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_bridge_status</b> () const</td></tr>
<tr class="separator:a4184cae615cfdc1fdebfce86bffd5694"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a15902ee6369ef664ee07ea3e3dec2c36"><td class="memItemLeft" align="right" valign="top"><a id="a15902ee6369ef664ee07ea3e3dec2c36"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="classdlib_1_1impl_1_1impl__bridge__base.html">impl::impl_bridge_base</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>pimpl</b></td></tr>
<tr class="separator:a15902ee6369ef664ee07ea3e3dec2c36"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="bridge_2bridge_8h_source.html">bridge/bridge.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
